Bug 450836 - Ignoring return value in gfs_mkfs
Ignoring return value in gfs_mkfs
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: GFS (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robert Peterson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 05:42 EDT by Steve Whitehouse
Modified: 2008-06-19 01:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 01:22:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (586 bytes, patch)
2008-06-12 13:12 EDT, Robert Peterson
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2008-06-11 05:42:49 EDT
From the is64 build logs:

gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -DHELPER_PROGRAM -D_FILE_OFFSET_BITS=64
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs-kernel/src/gfs -I/usr/include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_mkfs/../include
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_mkfs/../libgfs
-I/usr/include -c -o main.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_mkfs/main.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_mkfs/main.c: In function
'are_you_sure':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_mkfs/main.c:224: warning:
ignoring return value of 'fgets', declared with attribute warn_unused_result
Comment 1 Robert Peterson 2008-06-12 13:12:46 EDT
Created attachment 309108 [details]
Proposed patch

Here is the patch I've tested on x86_64 and ia64.  I'll be pushing it
shortly.
Comment 2 Robert Peterson 2008-06-12 13:25:45 EDT
Now pushed to master and STABLE2.

Note You need to log in before you can comment on or make changes to this bug.